import '../../structure/entity/advertisement_image.dart';

class AdvertisementImageBlocState {
  final Map<String, List<AdvertisementImage>> advertisementImageListMap;

  AdvertisementImageBlocState({required this.advertisementImageListMap});

  factory AdvertisementImageBlocState.init() {
    return AdvertisementImageBlocState(advertisementImageListMap: {});
  }

  factory AdvertisementImageBlocState.success(
      {required Map<String, List<AdvertisementImage>>
          advertisementImageListMap}) {
    return AdvertisementImageBlocState(
        advertisementImageListMap: advertisementImageListMap);
  }
}
