import 'dart:ui';

abstract class VideoBlocEvent {}

class VideoListFetchEvent extends VideoBlocEvent {
  final VoidCallback? callback;

  VideoListFetchEvent({this.callback});
}

class AppendVideoListEvent extends VideoBlocEvent {
  final int length;
  final VoidCallback? callback;

  AppendVideoListEvent({required this.length, this.callback});
}

class CleanVideoListEvent extends VideoBlocEvent {
  final VoidCallback? callback;

  CleanVideoListEvent({this.callback});
}
