import '../../structure/entity/video.dart';

class VideoBlocState {
  final bool finish;
  final List<Video> videoList;

  VideoBlocState({required this.videoList, required this.finish});

  factory VideoBlocState.init() {
    return VideoBlocState(videoList: <Video>[], finish: false);
  }

  factory VideoBlocState.success(
      {required List<Video> videoList, bool? finish}) {
    return VideoBlocState(videoList: videoList, finish: finish ?? false);
  }
}
