import 'package:flutter/material.dart';

import '../../structure/entity/video.dart';
import '../../structure/entity/video_group.dart';

abstract class GroupSearchPagePresenterContract {
  Widget getGroupSearchSortTabWidget();

  Widget getGroupSearchGroupTabWidget(List<VideoGroup> videoGroupList);

  SliverGrid getVideoCollectionWidget(List<Video> videoList);

  Future<void> onFireLoadingEvent();

  Future<void> onFireRefreshEvent();
}
