import 'package:flutter/material.dart';

import '../../constant/value/module_param.dart';
import '../../structure/entity/video_detail.dart';
import '../presenter.dart';
import 'contract.dart';
import 'view.dart';

class MediaDetailPresenter extends BasePresenter
    implements MediaDetailPresenterContract {

  @override
  Widget createView(Map<String, dynamic> params) {
    return MediaDetailView(
      presenter: this,
      videoDetail: params[ModuleParamKey.videoDetail] as VideoDetail,
    );
  }

  @override
  void initialViewData() {}
}
