import 'package:flutter/material.dart';

import '../../constant/value/module_param.dart';
import '../../structure/entity/video_detail.dart';
import '../presenter.dart';
import 'contract.dart';
import 'view.dart';

class MediaTitlePresenter extends BasePresenter
    implements MediaTitlePresenterContract {
  @override
  Widget createView(Map<String, dynamic> params) {
    return MediaTitleView(
      presenter: this,
      videoDetail: params[ModuleParamKey.videoDetail] as VideoDetail,
    );
  }

  @override
  void initialViewData() {}
}
