import 'package:movie_flutter/structure/entity/video_group.dart';

import 'actor.dart';
import 'director.dart';

class VideoDetail {
  final int id;
  final String title;
  final String description;
  final String createTime;
  final String thumbnailPath;
  final String sourceUrl;
  final List<VideoGroup> videoGroupList;
  final List<Actor> actorList;
  final List<Director> directorList;

  VideoDetail({
    required this.id,
    required this.title,
    required this.description,
    required this.createTime,
    required this.thumbnailPath,
    required this.sourceUrl,
    required this.videoGroupList,
    required this.actorList,
    required this.directorList,
  });
}
