import 'package:json_annotation/json_annotation.dart';

part 'encoding_thumbnail.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class EncodingThumbnailResponse {
  @JsonKey(name: "ratio")
  final String ratio;
  @JsonKey(name: "data_url")
  final String dataUrl;

  EncodingThumbnailResponse({required this.ratio, required this.dataUrl});

  factory EncodingThumbnailResponse.fromJson(Map<String, dynamic> json) =>
      _$EncodingThumbnailResponseFromJson(json);

  Map<String, dynamic> toJson() => _$EncodingThumbnailResponseToJson(this);
}
