import 'package:json_annotation/json_annotation.dart';

part 'video_group.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class VideoGroupResponse {
  @JsonKey(name: "id")
  final int id;
  @JsonKey(name: "name")
  final String name;
  @JsonKey(name: "count")
  final int count;

  VideoGroupResponse({
    required this.id,
    required this.name,
    required this.count,
  });

  factory VideoGroupResponse.fromJson(Map<String, dynamic> json) =>
      _$VideoGroupResponseFromJson(json);

  Map<String, dynamic> toJson() => _$VideoGroupResponseToJson(this);
}
