import 'package:fluttertoast/fluttertoast.dart';

import '../constant/value/color.dart';
import '../constant/value/size.dart';

class ToastDistributor {
  static void showToast(String message) {
    Fluttertoast.showToast(
      msg: message,
      toastLength: Toast.LENGTH_SHORT,
      gravity: ToastGravity.BOTTOM,
      timeInSecForIosWeb: 1,
      backgroundColor: CustomColors.midnightBlack,
      textColor: CustomColors.white,
      fontSize: FontSize.medium,
      webBgColor: CustomColors.midnightBlack.toIgnoreAlphaHex(),
      webPosition: "center",
    );
  }
}
