import 'dart:ui';

class CustomColors {
  static const Color transparent = Color(0x00FFFFFF);
  static const Color white = Color(0xFFFFFFFF);
  static const Color black = Color(0xFF000000);
  static const Color gray = Color(0xFF979797);
  static const Color green = Color(0xFF07C160);
  static const Color slateGray = Color(0xFF2C2C2C);
  static const Color darkBrown = Color(0xFF362100);
  static const Color turquoiseBlue = Color(0xFF07B6C1);
  static const Color graphiteGray = Color(0xFF141414);
  static const Color darkCoffeeBrown = Color(0xFF141414);
  static const Color smokeGray = Color(0xFF555555);
  static const Color steelGray = Color(0xFF444444);
  static const Color midnightBlack = Color(0xFF202020);
  static const Color darkGrayishCyan = Color(0xFF7C8C91);
  static const Color ravenBlack = Color(0xFF111111);
  static const Color lightGray = Color(0xFFB7B7B7);
  static const Color darkGray = Color(0xFF363636);
  static const Color emeraldGreen = Color(0xFF06D76A);
  static const Color deepGreen = Color(0xFF005529);
  static const Color lightMint = Color(0xFFDEFFD2);
  static const Color amber = Color(0xFFFB9904);
  static const Color lightAmber = Color(0xFFBBA54C);
}

extension ColorExtension on Color {
  String toIgnoreAlphaHex() {
    return '#${(0xFFFFFF & value).toRadixString(16)}';
  }
}
