class NetworkHeaderKey {
  static const String origin = "origin";
  static const String referer = "referer";
  static const String accessControlAllowOrigin = "Access-Control-Allow-Origin";
}

class NetworkHeaderValue {
  static const String defaultMobileOrigin = "movie.pv123.app";
  static const String defaultMobileReferer = "movie.pv123.app";
  static const String accessControlAllowOrigin = "*";
}

class NetworkHost {
  static const String defaultApiHost = "https://movie.api.pv168.app";
  static const String defaultApiCdnHost = "https://movie.api.pv168.app";
  static const String defaultAdApiCdnHost = "https://ad.api.pv168.app";
  static const String defaultImageCdnHost = "https://pv-oa-huawei.jydigi.com";
  static const String defaultVideoCdnHost = "https://pv-oa-huawei.jydigi.com";
}

class NetworkQueryKey {
  static const String lower = "lower";
  static const String upper = "upper";
  static const String videoSize = "movie_size";
  static const String groupSize = "group_size";
  static const String sort = "sort";
  static const String groupId = "group_id";
  static const String videoId = "movie_id";
  static const String platform = "platform";
  static const String ratio = "ratio";
}

class NetworkPath {
  static const String getAdvertisementImageCollectionList = "ad/get";
  static const String getSettings = "movie/settings";
  static const String getClassificationDetail = "movie/home";
  static const String getVideoDetail = "movie/detail";
  static const String getVideoGroupList = "movie/groups";
  static const String getAllVideoList = "movie/all";
  static const String getGroupVideoList = "movie/groupVideos";
  static const String getRelativeVideoCollection = "movie/relative";
}

class NetworkParam {
  static const String sortLatest = "latest";
  static const String sortViews = "views";
  static const String sortGroup = "group";
  static const String sortActor = "actor";
  static const String groupAll = "all";
  static const String platformPornVideo = "movie";
}

class NetworkChar {
  static const String query = "?";
  static const String ampersand = "&";
  static const String equal = "=";
  static const String slash = "/";
  static const String underscore = "_";
  static const String comma = ",";
}
