import 'package:flutter/material.dart';

import '../../constant/value/module_param.dart';
import '../../structure/entity/advertisement_image.dart';
import '../presenter.dart';
import 'contract.dart';
import 'view.dart';

class AdvertisementImagePresenter extends BasePresenter
    implements AdvertisementImagePresenterContract {
  @override
  Widget createView(Map<String, dynamic> params) {
    return AdvertisementImageView(
        presenter: this,
        advertisementImage:
            params[ModuleParamKey.advertisementImage] as AdvertisementImage);
  }

  @override
  void initialViewData() {}
}
