import 'package:flutter/material.dart';
import '../../structure/entity/advertisement_image.dart';
import '../../structure/entity/video.dart';
import '../../structure/entity/video_group.dart';

abstract class ClassificationPagePresenterContract {
  Widget getAdvertisementCarouselWidget(
      List<AdvertisementImage> advertisementImageList);

  Widget getAdvertisementImageWidget(AdvertisementImage advertisementImage);

  Widget getClassificationMenuBarWidget(List<VideoGroup> videoGroupList);

  Widget getVideoCollectionWidget(List<Video> videoList);
}
