import 'package:json_annotation/json_annotation.dart';

part 'director.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: true)
class DirectorResponse {
  @JsonKey(name: "id")
  final int id;
  @JsonKey(name: "name")
  final String name;

  DirectorResponse({
    required this.id,
    required this.name,
  });

  factory DirectorResponse.fromJson(Map<String, dynamic> json) =>
      _$DirectorResponseFromJson(json);

  Map<String, dynamic> toJson() => _$DirectorResponseToJson(this);
}
