import 'package:kiwi/kiwi.dart';

class InstanceRegister {
  static final KiwiContainer container = KiwiContainer.scoped();

  static void clear() {
    container.clear();
  }

  static void registerSingleton<S>(Factory<S> factory, {String? name}) {
    container.registerSingleton<S>(factory, name: name);
  }

  static T resolve<T>([String? name]) {
    return container.resolve<T>(name);
  }
}
